Index: CLFS/master.sh
===================================================================
--- CLFS/master.sh	(revision 3bc607816b576a75677863cd878c08a87fd41023)
+++ CLFS/master.sh	(revision dbcdfd7f695c4d00e5a66e4b598caaa938e24b22)
@@ -21,8 +21,6 @@
 	@mkdir \$(MOUNT_PT)/tools && \\
 	rm -f /tools && \\
-	ln -s \$(MOUNT_PT)/tools / && \\
-	touch \$@ && \\
-	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
-	echo --------------------------------------------------------------------------------\$(WHITE)
+	ln -s \$(MOUNT_PT)/tools /
+	@\$(call housekeeping)
 
 024-creatingcrossdir: 023-creatingtoolsdir
@@ -30,8 +28,6 @@
 	@mkdir -v \$(MOUNT_PT)/cross-tools && \\
 	rm -f /cross-tools && \\
-	ln -s \$(MOUNT_PT)/cross-tools / && \\
-	touch \$@ && \\
-	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
-	echo --------------------------------------------------------------------------------\$(WHITE)
+	ln -s \$(MOUNT_PT)/cross-tools /
+	@\$(call housekeeping)
 
 025-addinguser:  024-creatingcrossdir
@@ -46,8 +42,6 @@
 	chown \$(LUSER) \$(MOUNT_PT)/cross-tools && \\
 	chmod -R a+wt \$(MOUNT_PT)/\$(SCRIPT_ROOT) && \\
-	chmod a+wt \$(SRCSDIR) && \\
-	touch \$@ && \\
-	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
-	echo --------------------------------------------------------------------------------\$(WHITE)
+	chmod a+wt \$(SRCSDIR)
+	@\$(call housekeeping)
 
 026-settingenvironment:  025-addinguser
@@ -76,8 +70,6 @@
 	touch envars && \\
 	chmod -R a+wt \$(MOUNT_PT) && \\
-	chown -R \$(LUSER) \$(MOUNT_PT)/\$(SCRIPT_ROOT) && \\
-	touch \$@ && \\
-	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
-	echo --------------------------------------------------------------------------------\$(WHITE)
+	chown -R \$(LUSER) \$(MOUNT_PT)/\$(SCRIPT_ROOT)
+	@\$(call housekeeping)
 EOF
 ) >> $MKFILE.tmp
@@ -783,5 +775,5 @@
 mk_SETUP:
 	@\$(call echo_SU_request)
-	@sudo make SETUP
+	@sudo make make BREAKPOINT=\$(BREAKPOINT) SETUP
 	@touch \$@
 
@@ -789,10 +781,10 @@
 mk_CROSS: mk_SETUP
 	@\$(call echo_PHASE,Cross and Temporary Tools)
-	@(sudo \$(SU_LUSER) "source .bashrc && cd \$(MOUNT_PT)/\$(SCRIPT_ROOT) && make AS_LUSER" )
+	@(sudo \$(SU_LUSER) "source .bashrc && cd \$(MOUNT_PT)/\$(SCRIPT_ROOT) && make make BREAKPOINT=\$(BREAKPOINT) AS_LUSER" )
 	@sudo make restore-luser-env
 	@touch \$@
 
 mk_SUDO: mk_CROSS
-	@sudo make SUDO
+	@sudo make make BREAKPOINT=\$(BREAKPOINT) SUDO
 	@touch \$@
 
@@ -801,5 +793,5 @@
 	@\$(call echo_CHROOT_request)
 	@\$(call echo_PHASE, CHROOT JAIL )
-	@( sudo \$(CHROOT1) "cd \$(SCRIPT_ROOT) && make CHROOT_JAIL")
+	@( sudo \$(CHROOT1) "cd \$(SCRIPT_ROOT) && make make BREAKPOINT=\$(BREAKPOINT) CHROOT_JAIL")
 	@touch \$@
 
@@ -808,5 +800,5 @@
 	  \$(call sh_echo_PHASE,Building CUSTOM_TOOLS); \\
 	  sudo mkdir -p ${BUILDDIR}${TRACKING_DIR}; \\
-	  (sudo \$(CHROOT1) "cd \$(SCRIPT_ROOT) && make CUSTOM_TOOLS"); \\
+	  (sudo \$(CHROOT1) "cd \$(SCRIPT_ROOT) && make make BREAKPOINT=\$(BREAKPOINT) CUSTOM_TOOLS"); \\
 	fi;
 	@touch \$@
@@ -816,5 +808,5 @@
 	  \$(call sh_echo_PHASE,Building BLFS_TOOL); \\
 	  sudo mkdir -p $BUILDDIR$TRACKING_DIR; \\
-	  sudo \$(CHROOT1) "cd \$(SCRIPT_ROOT) && make BLFS_TOOL"; \\
+	  sudo \$(CHROOT1) "cd \$(SCRIPT_ROOT) && make make BREAKPOINT=\$(BREAKPOINT) BLFS_TOOL"; \\
 	fi;
 	@touch \$@
@@ -886,5 +878,5 @@
 mk_SETUP:
 	@\$(call echo_SU_request)
-	@sudo make SETUP
+	@sudo make make BREAKPOINT=\$(BREAKPOINT) SETUP
 	@touch \$@
 
@@ -893,9 +885,9 @@
 mk_CROSS: mk_SETUP
 	@\$(call echo_PHASE,Cross Tool)
-	@(sudo \$(SU_LUSER) "source .bashrc && cd \$(MOUNT_PT)/\$(SCRIPT_ROOT) && make AS_LUSER" )
+	@(sudo \$(SU_LUSER) "source .bashrc && cd \$(MOUNT_PT)/\$(SCRIPT_ROOT) && make make BREAKPOINT=\$(BREAKPOINT) AS_LUSER" )
 	@touch \$@
 
 mk_SUDO: mk_CROSS
-	@sudo make SUDO
+	@sudo make make BREAKPOINT=\$(BREAKPOINT) SUDO
 	@touch \$@
 
@@ -904,5 +896,5 @@
 mk_FINAL:
 	@\$(call echo_PHASE,Final System)
-	@( source /root/.bash_profile && make AS_ROOT )
+	@( source /root/.bash_profile && make make BREAKPOINT=\$(BREAKPOINT) AS_ROOT )
 	@touch \$@
 
@@ -911,5 +903,5 @@
 	  \$(call sh_echo_PHASE,Building CUSTOM_TOOLS); \\
 	  mkdir -p ${TRACKING_DIR}; \\
-	  ( source /root/.bash_profile && make CUSTOM_TOOLS ); \\
+	  ( source /root/.bash_profile && make make BREAKPOINT=\$(BREAKPOINT) CUSTOM_TOOLS ); \\
 	fi;
 	@touch \$@
@@ -919,5 +911,5 @@
 	  \$(call sh_echo_PHASE,Building BLFS_TOOL); \\
 	  mkdir -p $TRACKING_DIR; \\
-	  ( source /root/.bash_profile && make BLFS_TOOL ); \\
+	  ( source /root/.bash_profile && make make BREAKPOINT=\$(BREAKPOINT) BLFS_TOOL ); \\
 	fi
 	@touch \$@
